summaryrefslogtreecommitdiffstats
path: root/src/etc/rc.reboot
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/rc.reboot')
-rwxr-xr-xsrc/etc/rc.reboot35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/etc/rc.reboot b/src/etc/rc.reboot
new file mode 100755
index 0000000..afdc93c
--- /dev/null
+++ b/src/etc/rc.reboot
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# $Id$
+
+if ! /usr/bin/lockf -s -t 30 /tmp/config.lock /usr/bin/true; then
+ echo "Cannot reboot at this moment, a config write operation is in progress, and 30 seconds have passed."
+ exit 1
+fi
+
+sleep 1
+
+# If PLATFORM is pfSense then remove
+# temporary files on shutdown from /tmp/
+PLATFORM=`cat /etc/platform`
+if [ "$PLATFORM" = "pfSense" ]; then
+ rm -rf /tmp/*
+fi
+
+USE_MFS_TMPVAR=`/usr/bin/grep -c use_mfs_tmpvar /cf/conf/config.xml`
+DISK_NAME=`/bin/df /var/db/rrd | /usr/bin/tail -1 | /usr/bin/awk '{print $1;}'`
+DISK_TYPE=`/usr/bin/basename ${DISK_NAME} | /usr/bin/cut -c1-2`
+# If we are not on a full install, or if the full install wants RAM disks, or if the full install _was_ using RAM disks, but isn't for the next boot...
+if [ "${PLATFORM}" != "pfSense" ] || [ ${USE_MFS_TMPVAR} -gt 0 ] || [ "${DISK_TYPE}" = "md" ]; then
+ /etc/rc.backup_rrd.sh
+ /etc/rc.backup_dhcpleases.sh
+fi
+
+sleep 1
+
+SHUTDOWN=/sbin/shutdown
+if [ -f /sbin/shutdown.old ]; then
+ SHUTDOWN=/sbin/shutdown.old
+fi
+
+$SHUTDOWN -r now
OpenPOWER on IntegriCloud